From c8ecea2375ee3ec46117ac06b384f39da560670e Mon Sep 17 00:00:00 2001
From: Vinay Kambam <vinaykambam@gmail.com>
Date: Sat, 9 Mar 2024 19:52:10 +0530
Subject: [PATCH] set saved_timeval_set to false before executing
 emit_log_hook()

---
 src/backend/utils/error/elog.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/backend/utils/error/elog.c b/src/backend/utils/error/elog.c
index ed8aa5c9fa..e735f51207 100644
--- a/src/backend/utils/error/elog.c
+++ b/src/backend/utils/error/elog.c
@@ -1697,6 +1697,7 @@ EmitErrorReport(void)
 	 * message identifier. Note that the original text is not available for
 	 * detail, detail_log, hint and context text elements.
 	 */
+	saved_timeval_set = false;
 	if (edata->output_to_server && emit_log_hook)
 		(*emit_log_hook) (edata);
 
-- 
2.34.1

